Skip to main content
GET
/
files
/
{file_id}
/
preview
ファイルをダウンロード
curl --request GET \
  --url https://{api_base_url}/files/{file_id}/preview \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{api_base_url}/files/{file_id}/preview"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{api_base_url}/files/{file_id}/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"<string>"
{
"status": 403,
"code": "file_access_denied",
"message": "Access to the requested file is denied."
}
{
"status": 404,
"code": "file_not_found",
"message": "The requested file was not found."
}

Authorizations

Authorization
string
header
required

API Key 認証です。すべての API リクエストにおいて、Authorization HTTP ヘッダーに Bearer プレフィックスを付けた API Key を含めてください。例:Authorization: Bearer {API_KEY}API Key はサーバーサイドに保存し、クライアントサイドで共有・保存しないことを強く推奨します。API Key の漏洩は深刻な結果につながる可能性があります。API Key が欠落または無効な場合、HTTP 401 とエラーコード unauthorized が返されます。

Path Parameters

file_id
string<uuid>
required

プレビューするファイルの一意の識別子です。ファイルをアップロード API のレスポンスから取得します。

Query Parameters

as_attachment
boolean
default:false

true の場合、ブラウザでプレビューする代わりにファイルを添付ファイルとして強制ダウンロードします。

user
string

ユーザー識別子。エンドユーザーのコンテキストに使用されます。

Response

生のファイルコンテンツを返します。Content-Type ヘッダーはファイルの MIME タイプに設定されます。as_attachmenttrue の場合、ファイルは Content-Disposition: attachment としてダウンロード形式で返されます。

The response is of type file.

Last modified on July 9, 2026